/*!
  \file
  \brief シミュレータ用の URG サーバ

  \author Satofumi KAMIMURA

  $Id: UrgServer.cpp 351 2008-11-11 22:39:03Z satofumi $
*/

#include "UrgServer.h"

using namespace qrk;


struct UrgServer::pImpl
{
  // !!!
};


UrgServer::UrgServer(void) : pimpl(new pImpl)
{
}


UrgServer::~UrgServer(void)
{
}


bool UrgServer::activate(long port)
{
  static_cast<void>(port);

  // !!!
  return false;
}


int UrgServer::updateInterval(void)
{
  return 1;
}


void UrgServer::update(void)
{
}
